Linux安装node.js指定版本

众所周知,apt和yum的源是有毒的。
软件版本都非常的老旧。
下面记录一下安装新版/指定版本nodejs的方法。

1 换源

# debian
curl -sL https://deb.nodesource.com/setup_14.x | sudo -E bash -
sudo apt-get update

或:

# redhat
curl -sL https://rpm.nodesource.com/setup_14.x | sudo -E bash -

把nodejs的yum/apt换成新源。
这个源是官方的,速度还算可以接受,在100MBps左右。
也可以把14.x换成10.x12.x等自己需要的版本。

2 安装

# debian
sudo apt-get install -y nodejs
# redhat
sudo yum install nodejs

同时也会安装好npm。即可完成。

执行

node --version
npm --version

查看node.js和npm的版本号。

版权声明:本文为博主EricNTH原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接: https://nth.ink/computer-using-skills/P3035.html

(广告由我们的赞助商提供,内容与本站无关)
暂无评论

发送评论 编辑评论


				
|´・ω・)ノ
ヾ(≧∇≦*)ゝ
(☆ω☆)
(╯‵□′)╯︵┴─┴
 ̄﹃ ̄
(/ω\)
∠( ᐛ 」∠)_
(๑•̀ㅁ•́ฅ)
→_→
୧(๑•̀⌄•́๑)૭
٩(ˊᗜˋ*)و
(ノ°ο°)ノ
(´இ皿இ`)
⌇●﹏●⌇
(ฅ´ω`ฅ)
(╯°A°)╯︵○○○
φ( ̄∇ ̄o)
ヾ(´・ ・`。)ノ"
( ง ᵒ̌皿ᵒ̌)ง⁼³₌₃
(ó﹏ò。)
Σ(っ °Д °;)っ
( ,,´・ω・)ノ"(´っω・`。)
╮(╯▽╰)╭
o(*////▽////*)q
>﹏<
( ๑´•ω•) "(ㆆᴗㆆ)
😂
😀
😅
😊
🙂
🙃
😌
😍
😘
😜
😝
😏
😒
🙄
😳
😡
😔
😫
😱
😭
💩
👻
🙌
🖕
👍
👫
👬
👭
🌚
🌝
🙈
💊
😶
🙏
🍦
🍉
😣
Source: github.com/k4yt3x/flowerhd
颜文字
Emoji
小恐龙
花!
上一篇
下一篇